---
title: Intl.ListFormat() constructor
slug: Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/ListFormat
tags:
  - Constructor
  - Intl
  - JavaScript
  - ListFormat
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Intl.ListFormat()</code></strong> constructor creates objects that enable language-sensitive list formatting.</p>

<div>{{EmbedInteractiveExample("pages/js/intl-listformat.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Intl.ListFormat([<var>locales</var>[, <var>options</var>]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>locales</var></code> {{optional_inline}}</dt>
 <dd>
 <p>A string with a BCP 47 language tag, or an array of such strings. For the general form and interpretation of the <code><var>locales</var></code> argument, see the {{jsxref("Global_Objects/Intl", "Intl page", "#Locale_identification_and_negotiation", 1)}}.</p>
 </dd>
 <dt><code><var>options</var></code> {{optional_inline}}</dt>
 <dd>
 <p>An object with some or all of the following properties:</p>

 <dl>
  <dt><code>localeMatcher</code></dt>
  <dd>The locale matching algorithm to use. Possible values are <code>lookup</code> and <code>best fit</code>; the default is <code>best fit</code>. For information about this option, see the {{jsxref("Global_Objects/Intl", "Intl page", "#Locale_negotiation", 1)}}.</dd>
  <dt><code>type</code></dt>
  <dd>The format of output message. Possible values are <code>conjunction</code> that stands for "and"-based lists (default, e.g., <code>A, B, and C</code>), or <code>disjunction</code> that stands for "or"-based lists (e.g., <code>A, B, or C</code>). <code>unit</code> stands for lists of values with units (e.g., <code>5 pounds, 12 ounces</code>).</dd>
  <dt><code>style</code></dt>
  <dd>The length of the formated message. Possible values are: <code>long</code> (default, e.g., <code>A, B, and C</code>); <code>short</code> (e.g., <code>A, B, C</code>), or <code>narrow</code> (e.g., <code>A B C</code>). When <code>style</code> is <code>short</code> or <code>narrow</code>, <code>unit</code> is the only allowed value for the type option.</dd>
 </dl>
 </dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_format">Using format</h3>

<p>The following example shows how to create a List formatter using the English language.</p>

<pre class="brush: js notranslate">const list = ['Motorcycle', 'Bus', 'Car'];

 console.log(new Intl.ListFormat('en-GB', { style: 'long', type: 'conjunction' }).format(list));
// &gt; Motorcycle, Bus and Car

 console.log(new Intl.ListFormat('en-GB', { style: 'short', type: 'disjunction' }).format(list));
// &gt; Motorcycle, Bus or Car

 console.log(new Intl.ListFormat('en-GB', { style: 'narrow', type: 'unit' }).format(list));
// &gt; Motorcycle Bus Car</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Intl.ListFormat', '#sec-intl-listformat-constructor', 'ListFormat()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.ListFormat.ListFormat")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Intl")}}</li>
</ul>
